| Home | Libraries | People | FAQ | More

## Class invalid_command_line_syntax

boost::program_options::invalid_command_line_syntax

## Synopsis

    // In header: <boost/program_options/errors.hpp>

    class invalid_command_line_syntax :
      public boost::program_options::invalid_syntax
    {
    public:
      // construct/copy/destruct
      invalid_command_line_syntax(const std::string &, kind_t);
    };

## Description

Class thrown when there are syntax errors in given command line

### `invalid_command_line_syntax` public construct/copy/destruct

1.     invalid_command_line_syntax(const std::string & tokens, kind_t kind);